Package helma.objectmodel

# Class DatabaseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
helma.objectmodel.DatabaseException

All Implemented Interfaces:
  `Serializable`

public class DatabaseException extends RuntimeException
Thrown on any kind of Database-Error

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabaseException(String msg)`
Creates a new DatabaseException object.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DatabaseException

public DatabaseException(String msg)
Creates a new DatabaseException object.

Parameters:
  `msg` - ...